/*
 *  DataTextField.java
 *
 *  $Id: DataTextField.java,v 1.1 2002/05/09 17:11:48 source Exp $
 *
 *  Sample JDBC program
 *
 *  (C)Copyright 1999 OpenLink Software.
 *  All Rights Reserved.
 *
 *  The copyright above and this notice must be preserved in all
 *  copies of this source code.  The copyright above does not
 *  evidence any actual or intended publication of this source code.
 *
 *  This is unpublished proprietary trade secret of OpenLink Software.
 *  This source code may not be copied, disclosed, distributed, demonstrated
 *  or licensed except as authorized by OpenLink Software.
 */

import java.awt.*;

public class DataTextField extends TextField {
	Frame frame;
	public DataTextField(Frame container){
		super();
		frame = container;
	}

	public boolean handleEvent(Event event) {
		if (event.id == Event.KEY_PRESS || event.id == Event.KEY_ACTION) 
		  frame.handleEvent(event);
		return super.handleEvent(event);
	}
}
